Set "Package InstallerVersion" value

Feb 9, 2015 at 2:54 AM
Edited Feb 9, 2015 at 2:55 AM
I'm merging with a number of merge modules and receiving a warning regarding the InstallerVersion not being high enough (exact warning below). In the past I would simply set this in the XML. I can't see a simple method to change this from the default 200.

Warning 3 Merge module 'Microsoft_VC120_CRT_x64.msm' has an installer version of 405 which is greater than the product's installer version of 200. Merging a module with a higher installer version than the product it is being merged into can result in invalid values in the resulting msi. You must set the Package/@InstallerVersion attribute to 405 or greater to merge this merge module into your product. project.wxs 41 Setup
Feb 9, 2015 at 10:24 PM
Edited Feb 9, 2015 at 10:24 PM
Figured it out:
project.Package.AttributesDefinition = "InstallerVersion=405; Platform=x64";
Marked as answer by douglaskanderson on 2/9/2015 at 3:24 PM